/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla addressbook.
 *
 * The Initial Developer of the Original Code is
 * Pawel Chmielowski <prefiks@o2.pl>
 *
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Pawel Chmielowski <prefiks@o2.pl>
 * Dominik Tomaszuk <ddooss@wp.pl>
 *
 * ***** END LICENSE BLOCK ***** */

initInstall("barml", "barml", "0.1");
barmlDir = getFolder("Chrome","barml");
addDirectory("", "barml", barmlDir, "");

var err = getLastError();
  
if ( err == SUCCESS ) { 
  
   var returnval = registerChrome(CONTENT | DELAYED_CHROME, getFolder(barmlDir, "content") );
   var returnval = registerChrome(LOCALE | DELAYED_CHROME, getFolder(barmlDir, "locale/pl-PL") );
   var returnval = registerChrome(LOCALE | DELAYED_CHROME, getFolder(barmlDir, "locale/en-US") );
  
   err = performInstall();
  
   if ( err == SUCCESS ) {
      refreshPlugins();
      alert("The BarML has been succesfully installed. \n"
      +"Please restart your browser to continue.");
   }
   else if( err == "999" )
   {
      alert("The BarML has been installed. \n You must exit quick launch and restart your browser to continue.");
   }
   
   else { 
    alert("performInstall() failed. \n"
    +"_____________________________\nError code:" + err);
    cancelInstall(err);
   }
} 
else { 
  alert("Failed to create directory. \n"
    +"You probably don't have appropriate permissions \n"
    +"(write access to mozilla/chrome directory). \n"
    +"_____________________________\nError code:" + err);
    cancelInstall(err);
}
